Subject: Re: [bug#73439] [PATCH 00/10] Update libreoffice to its latest version.

From: Simon Josefsson <[email-masked]>
Date: Mon, 14 Oct 2024 15:31:08 +0200

Nicolas Graves via Guix-patches via <[email-masked]> writes:

> On 2024-09-24 19:03, Liliana Marie Prikler wrote:
>
>>> That said, it is very doable to have two with a -lts version.
>> I agree, having an LTS is probably enough.  So can we cut this short by
>> keeping the separate ones you mention and also keep 24.2.6.2 as the
>> LTS?
>
> Done in a v2, but I'm not actually sure it's a great solution. The issue
> is that the "LTS" is supported for 8 months (february to november 2024
> for 24.2). That means we have an overlap of main and lts versions for
> only 2 months, and then libreoffice probably recommends only the 24.8
> stable release (from memory, the page had a single release a few months
> prior, or we can wait and see until november).
>
> Keeping it in Guix would label -lts something that is not supported by
> upstream 2/3rd of a year.
>
> I only see two relevant solutions:
> - following the latest stable release (which is stable, it's not a beta,
> there is a prerelease version currently at 24.8.2)
> - wait with 24.2 until november and then switch to 24.8

Maybe worth considering: Debian tracks 24.8 including backporting it to
stable.  ArchLinux and Homebrew ships 24.8 (although homebrew also
provides 24.2).  So it looks like latest libreoffice stable release is
packaged often.

Thanks for working on an upgrade, regardless of if it becomes 24.2 or
24.8 -- I'm happily using 7.6.7.2 via Guix on Trisquel to get something
more recent than aramo's 7.3.7.

/Simon